# ContactsContract.CommonDataKinds.SipAddress

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  
Deprecated in[API level 35](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# SipAddress

*** ** * ** ***

Kotlin\|[Java](https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.SipAddress "View this page in Java")  

```
class SipAddress : ContactsContract.CommonDataKinds.CommonColumns, ContactsContract.DataColumnsWithJoins
```

|---|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)                                                                                               ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.SipAddress](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#) |

*** ** * ** ***

| **This class was deprecated in API level 35.**
|
| This field may not be well supported by some contacts apps and is discouraged to use.

A data kind representing a SIP address for the contact.

You can use all columns defined for[ContactsContract.Data](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data)as well as the following aliases.

## Column aliases

|  Type  |                                                                        Alias                                                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                              Data column                                                                                                                                                                                                                                                                                                                                                                                                                                                              ||
|--------|------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| String | [SIP_ADDRESS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#SIP_ADDRESS:kotlin.String) | [DATA1](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| int    | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String)            | [DATA2](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String) | Allowed values are: <br /> - [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int). Put the actual type in[LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String). - [TYPE_HOME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_HOME:kotlin.Int) - [TYPE_WORK](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_WORK:kotlin.Int) - [TYPE_OTHER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_OTHER:kotlin.Int) <br /> |
| String | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String)          | [DATA3](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

## Summary

|                                                                                                                                                                                          Constants                                                                                                                                                                                           ||
|----------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [CONTENT_ITEM_TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#CONTENT_ITEM_TYPE:kotlin.String) MIME type used when storing this in data table.                                                                                     |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String) Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras.          |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_COUNTS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String) The array of group counts for the corresponding group.                                                  |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_TITLES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String) The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [SIP_ADDRESS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#SIP_ADDRESS:kotlin.String) The SIP address.                                                                                                                                |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_HOME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_HOME:kotlin.Int) <br />                                                                                                                                                 |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_OTHER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_OTHER:kotlin.Int) <br />                                                                                                                                               |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_WORK](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#TYPE_WORK:kotlin.Int) <br />                                                                                                                                                 |

| Inherited constants ||
|---|---|
| From class[CommonColumns](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns) |----------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [DATA](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#DATA:kotlin.String) <br /> The data for the contact method. Type: TEXT <br />                     | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String) <br /> The user defined label for the the contact method. Type: TEXT <br /> | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String) <br /> The type of data, for example Home or Work. Type: INTEGER <br />       | ||
| From class[BaseTypes](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes) |----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) | [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int) <br /> A custom type. The custom label should be supplied by user. <br /> | ||

|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                Public methods                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ||
|------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static[CharSequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-sequence/index.html)! | [getTypeLabel](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#getTypeLabel(android.content.res.Resources,%20kotlin.Int,%20kotlin.CharSequence))`(`res:` `[Resources](https://developer.android.com/reference/kotlin/android/content/res/Resources.html#)!`, `type:` `[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, `label:` `[CharSequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-sequence/index.html)?`)` Return a[CharSequence](https://developer.android.com/reference/kotlin/java/lang/CharSequence.html#)that best describes the given type, possibly substituting the given[LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String)value for[TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int). |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)                     | [getTypeLabelResource](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.SipAddress#getTypeLabelResource(kotlin.Int))`(`type:` `[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`)` Return the string resource that best describes the given[TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

## Constants

### CONTENT_ITEM_TYPE

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val CONTENT_ITEM_TYPE: String
```

**Deprecated:** *Deprecated in Java.*

MIME type used when storing this in data table.  

    Value: "vnd.android.cursor.item/sip_address"

### EXTRA_ADDRESS_BOOK_INDEX

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

**Deprecated:** *Deprecated in Java.*

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

<br />

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

**Deprecated:** *Deprecated in Java.*

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

**Deprecated:** *Deprecated in Java.*

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### SIP_ADDRESS

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val SIP_ADDRESS: String
```

**Deprecated:** *Deprecated in Java.*

The SIP address.

Type: TEXT  

    Value: "data1"

### TYPE_HOME

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_HOME: Int
```

**Deprecated:** *Deprecated in Java.*  

    Value: 1

### TYPE_OTHER

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_OTHER: Int
```

**Deprecated:** *Deprecated in Java.*  

    Value: 3

### TYPE_WORK

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_WORK: Int
```

**Deprecated:** *Deprecated in Java.*  

    Value: 2

## Public methods

### getTypeLabel

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static fun getTypeLabel(
    res: Resources!, 
    type: Int, 
    label: CharSequence?
): CharSequence!
```

**Deprecated:** *Deprecated in Java.*

Return a[CharSequence](https://developer.android.com/reference/kotlin/java/lang/CharSequence.html#)that best describes the given type, possibly substituting the given[LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String)value for[TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int).

|                                                            Parameters                                                            ||
|---------|-------------------------------------------------------------------------------------------------------------------------|
| `label` | [CharSequence](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-sequence/index.html)?:This value may be`null`. |

### getTypeLabelResource

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static fun getTypeLabelResource(type: Int): Int
```

**Deprecated:** *Deprecated in Java.*

Return the string resource that best describes the given[TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String). Will always return a valid resource.